## NAME

r3.univar - Calculates univariate statistics from the non-null 3d cells of a raster3d map.

## KEYWORDS

raster3d, voxel, statistics

## SYNOPSIS

r3.univar
r3.univar help
r3.univar [-get] input=name [zones=name] [output=name] [percentile=float[,float,...]] [fs=character] [--verbose] [--quiet]

### Flags:

-g
  Print the stats in shell script style
-e
  Calculate extended statistics
-t
  Table output format instead of standard output format
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster3d map
zones=name
  3D Raster map used for zoning, must be of type CELL
output=name
  Name for output file (if omitted or "-" output to stdout)
percentile=float[,float,...]
  Percentile to calculate (requires extended statistics flag)
  Options: 0-100
  Default: 90
fs=character
  Field separator
  Special characters: space, comma, tab
  Default: |

## DESCRIPTION

r3.univar calculates the univariate statistics for raster3d maps. This includes the number of cells counted, minimum and maximum cell values, range, arithmetic mean, population variance, standard deviation, and coefficient of variation. Statistics are calculated separately for every category/zone found in the zones input map if given. If the -e extended statistics flag is given the 1st quartile, median, 3rd quartile, and given percentile are calculated. If the -g flag is given the results are presented in a format suitable for use in a shell script. If the -t flag is given the results are presented in tabular format with the given field separator. The table can immediately be converted to a vector attribute table which can then be linked to a vector, e.g. the vector that was rasterized to create the zones input raster.

## NOTES

As with most GRASS raster3d modules, r3.univar operates on the voxel array defined by the current 3d region settings, not the original extent and resolution of the input map. See g.region.

This module can use large amounts of system memory when the -e extended statistics flag is used with a very large region setting. If the region is too large the module should exit gracefully with a memory allocation error. Basic statistics can be calculated using any size input region.

## TODO

mode, skewness, kurtosis

## SEE ALSO

g.region, r.univar, r.average, r.median, r.mode, r.quantile, r.sum, r.series, r3.stats, v.rast.stats, r.statistics, v.univar

## AUTHORS

Soeren Gebbert
Code is based on r.univar from
Hamish Bowman, Otago University, New Zealand
and Martin Landa
Zonal loop by Markus Metz

Last changed: $Date: 2012-08-14 11:11:23 +0200 (út, 14 VIII 2012) $

Main index - raster3D index - Full index

© 2003-2014 GRASS Development Team